Create a project
POST
/api/v1/projects
const url = 'https://app.avera.io/api/v1/projects';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"key":"example","name":"example","description":"example","templateId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/projects \ --header 'Content-Type: application/json' \ --data '{ "key": "example", "name": "example", "description": "example", "templateId": "example" }'Optionally seeded from a template project via templateId.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
key
required
string
name
required
string
description
string | null
templateId
string | null
Example generated
{ "key": "example", "name": "example", "description": "example", "templateId": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
key
required
string
name
required
string
description
string | null
status
required
string
templateId
string | null
defaultBranchId
string | null format: uuid
isDefault
required
boolean
createdAt
required
string format: date-time
createdBy
required
string format: uuid
modifiedAt
required
string format: date-time
modifiedBy
required
string format: uuid